Bug 1149141 - Make desktop file and appdata validation automatic
Summary: Make desktop file and appdata validation automatic
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-03 10:35 UTC by Kalev Lember
Modified: 2016-07-19 12:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:11:47 UTC


Attachments (Terms of Use)
[PATCH] Run desktop file and appdata validation scripts if they exist (2.50 KB, text/plain)
2014-10-03 10:36 UTC, Kalev Lember
no flags Details
brp script that desktop-file-utils would ship (484 bytes, text/plain)
2014-10-03 10:37 UTC, Kalev Lember
no flags Details

Description Kalev Lember 2014-10-03 10:35:43 UTC
Instead of copy-pasting

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

... to each and every GUI app's spec file, would be nice if this happened automatically.


I'm attaching the patch discussed in the devel ML here to avoid drowning in the mailing list noise. Original discussion in https://lists.fedoraproject.org/pipermail/devel/2014-September/202711.html and https://lists.fedoraproject.org/pipermail/devel/2014-October/202846.html

Comment 1 Kalev Lember 2014-10-03 10:36:46 UTC
Created attachment 943695 [details]
[PATCH] Run desktop file and appdata validation scripts if they exist

Comment 2 Kalev Lember 2014-10-03 10:37:32 UTC
Created attachment 943696 [details]
brp script that desktop-file-utils would ship

Comment 3 Fedora Admin XMLRPC Client 2014-11-14 07:24:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jaroslav Reznik 2015-03-03 16:20:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Florian Festi 2015-05-29 12:05:30 UTC
Sorry, this got dropped. Is this still planned? Is the brb script already in place? (Couldn't find it on my system)

Comment 6 Kalev Lember 2015-05-29 12:24:02 UTC
No worries, thanks for looking at it Florian! I'd be great to move forward with this.

The brp scripts are not in place yet - I wanted to hear someone's thoughts from redhat-rpm-config side first. Could easily add them now though if you think they look roughly sane?

attachment 943696 [details] has a brp script sample that would go to desktop-file-utils; the one that would run appdata validation would be pretty much the same, with just a different binary name to execute.

Comment 7 Florian Festi 2015-05-29 13:52:16 UTC
Hmm, shipping this brb file else where does not make much sense to me as it barely contains anything. So I'd rather check for the presence of desktop-file-validate. The question is how can we make sure that desktop-file-utils is installed/added as build requires. May be we should also sto the build if it is not there. But that might need some more discussion and probably doing a rough estimate how many package this will break.

Comment 8 Fedora End Of Life 2016-07-19 12:11:47 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.